#pragma ident "@(#) subform.h 3.0.0 2010.04.01,12:18"
#ifndef SUBFORM_H 
#define SUBFORM_H SUBFORM_H

extern int sf_status(int no, int type, char opt);
extern int sf_tlocate(int no, int col);
extern int sf_glocate(int no, int col, char line);
extern int sf_tput(int no, int col, char *s);
extern int sf_gput(int no, int col, int line, char *s);
extern int sf_tget(int no, int col,char *s);
extern int sf_gget(int no, int col, int line,char *s);
extern int sf_tcep(int no, int col, int align, char *s);
extern int sf_gcep(int no, int col, int line, int align, char *s);
extern int sf_tvarprint(int no, int col, char *s);
extern int sf_gvarprint(int no, int col, int line, char *s);
extern int grid(int no,int maxtext,int xcol);
extern int textbox(int no,int fx, int fy, char *f);
extern char *addspace(int len, char *s);
extern int formtext(int no,int maxtext, int xcol);
extern int paneltext(int no, int maxpaneltext, int xcol);
extern int panels(int no, int xcol,int rows,int fx, int fy, char *f);
extern int wsubform(int no, int xcol,int rows,int fx ,int fy, char *f);

#endif
